# Freeze::Transaction

## Overview

### local interface Transaction

A transaction. If you want to use a transaction concurrently in multiple threads, you need to serialize access to this transaction.

#### Used By

Connection::beginTransaction
Connection::currentTransaction
DeadlockException::tx
TransactionalEvictor::getCurrentTransaction
TransactionalEvictor::setCurrentTransaction

## Operation Index

commit
  Commit this transaction.
rollback
  Roll back this transaction.
getConnection
  Get the connection associated with this Transaction

## Operations

### void commit()

Commit this transaction.

#### Exceptions

DatabaseException
  Raised if a database failure occurred.

### void rollback()

Roll back this transaction.

#### Exceptions

DatabaseException
  Raised if a database failure occurred.

### Connection getConnection()

Get the connection associated with this Transaction